Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.rop
Interface ResultList<E>

All Superinterfaces:
  Closeable, Collection<E>, Iterable<E>, List<E>, Serializable

All Known Implementing Classes:
  AbstractNonSequentialResultList, AbstractResultList, AbstractSequentialResultList, DelegatingResultList, EagerResultList, LazyForwardResultList, ListResultList, QueryImpl.RemoveOnCloseResultList, RandomAccessResultList, SimpleResultList, SoftRandomAccessResultList, WindowResultList

    public interface ResultList<E>

extends List<E>, Serializable, Closeable

List interface that represents a potentially lazy ResultList instantiation. A ResultList will typically be instantiated from a factory, and will use a ResultObjectProvider for obtaining individual object data representations. Depending on the support for scrolling inputs, the list that is returned may use lazy instantiation of the objects, and thus allow very large result sets to be obtained and manipulated. Note that wrapping a ResultList in another Collection will always instantiate the entire set of elements contained in the ResultList. This may not always be desirable, since the list may be very large.

Author:
  Marc Prud'hommeaux

Method Summary
`void` | `close()` Close the list.
`Object` | `getUserObject()` Get the opaque user object attached to this receiver.
`boolean` | `isClosed()` Returns true if the list has been closed.
`boolean` | `isProviderOpen()` Returns true if the provider backing this list is open.
`void` | `setUserObject(Object opaque)` Set the opaque user object to this receiver.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### isProviderOpen

    boolean isProviderOpen()

  Returns true if the provider backing this list is open.

### getUserObject

    Object getUserObject()

  Get the opaque user object attached to this receiver.

### setUserObject

    void setUserObject(Object opaque)

  Set the opaque user object to this receiver.

### close

    void close()

  Close the list.

  Specified by:
    `close` in interface `Closeable`

### isClosed

    boolean isClosed()

  Returns true if the list has been closed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.